package com.team5.aLife.Client;

public class User {
	
	private int userID;
    private String userName;
    private String password;
    private String permission;
    private int failedLogin;
    private int timeout;
    private int timeoutTime;
    
    public User (int userID  ,
    			 String userName ,
    			 String password ,
    			 String permission ,
    			 int failedLogin ,
    			 int timeout ,
    			 int timeoutTime )
    {
    	this.userID = userID;
    	this.userName = userName;
    	this.password = password;
    	this.permission = permission;
    	this.failedLogin = failedLogin;
    	this.timeout = timeout;
    	this.timeoutTime = timeoutTime;   		
    }
    
    public User(){
    	// Do nothing
    }
    
    public int getUserID(){
    	return userID;
    }
    
    public void setUserID(int userID){
    	this.userID = userID;
    }
    
    public String getUserName(){
    	return userName;
    }
    
    public void setUserName(String userName){
    	this.userName = userName;
    }
    
    public String getPassword(){
    	return password;
    }
    
    public void setPassword(String password){
    	this.password = password;
    }
    
    public String getPermission(){
    	return permission;
    }
    
    public void setPermission(String permission){
    	this.permission = permission;
    }
    
    public int getFailedLogin(){
    	return failedLogin;
    }
    
    public void setFailedLogin(int failedLogin){
    	this.failedLogin = failedLogin;
    }
    
    public int getTimeout(){
    	return timeout;
    }
    
    public void setTimeout(int timeout){
    	this.timeout = timeout;
    }
    
    public int getTimeoutTime(){
    	return timeoutTime;
    }
    
    public void setTimeoutTime(int timeoutTime){
    	this.timeoutTime = timeoutTime;
    }
    

}
